Bug 240207 (perl-Class-Base) - Review Request: perl-Class-Base - Useful base class for deriving other modules
Summary: Review Request: perl-Class-Base - Useful base class for deriving other modules
Status: CLOSED NEXTRELEASE
Alias: perl-Class-Base
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Class-Base/
Whiteboard:
Keywords:
Depends On:
Blocks: perl-SQL-Translator
TreeView+ depends on / blocked
 
Reported: 2007-05-15 19:17 UTC by Chris Weyl
Modified: 2010-09-02 21:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 23:44:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-05-15 19:17:16 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-Base-0.03-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-Base.spec

Description:
This module implements a simple base class from which other modules can be
derived, thereby inheriting a number of useful methods such as new(),
init(), params(), clone(), error() and debug().

Comment 1 Jason Tibbitts 2007-05-15 19:46:53 UTC
Another clean package, as usual.

* source files match upstream:
   64fa385358889ec8b77fe7cbccb996fecf3ac1cb0ed566d6dc5e79f771392891  
   Class-Base-0.03.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Class::Base) = 0.03
   perl-Class-Base = 0.03-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(strict)

* %check is present and all tests pass, 93 tests passed, verified by inspection.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Chris Weyl 2007-05-15 19:59:17 UTC
New Package CVS Request
=======================
Package Name: perl-Class-Base
Short Description: Useful base class for deriving other modules
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Chris Weyl 2007-05-16 23:44:44 UTC
Imported and building.  Thanks for the review! :)

Comment 4 Iain Arnell 2010-09-02 14:23:51 UTC
Package Change Request
======================
Package Name: perl-Class-Base
New Branches: el6
Owners: iarnell tremble

Comment 5 Kevin Fenzi 2010-09-02 21:18:16 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.